﻿using Infragistics.UltraChart.Core.Primitives;
using System;
using System.Collections.Generic;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    private DataTable GetColumnDataForColumnLineChart()
    {
        DataTable myColumn = new DataTable();
        //Define the columns and their names
        myColumn.Columns.Add("Series Labels", typeof(string));
        myColumn.Columns.Add("Column A", typeof(int));
        myColumn.Columns.Add("Column B", typeof(int));
        myColumn.Columns.Add("Column C", typeof(int));
        myColumn.Columns.Add("Column D", typeof(int));
        //Add the rows of data
        myColumn.Rows.Add(new Object[] { "Series A", 1, 4, 10, 4 });
        //myColumn.Rows.Add(new Object[] { "Series B", 3, 6, 4, 5 });
        //myColumn.Rows.Add(new Object[] { "Series C", 5, 8, 6, 7 });
        //myColumn.Rows.Add(new Object[] { "Series D", 7, 10, 7, 7 });
        return myColumn;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        this.UltraChart1.DataSource = GetColumnDataForColumnLineChart();
        this.UltraChart1.DataBind();
    }
    protected void UltraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
    {
        
        foreach (Primitive pr in e.SceneGraph)
        {
            Polyline pl = pr as Polyline;
            if (pl != null)
            {
                var a = 4;
                pl.PE.Fill = Color.Red;

            }

        }

    }
}